Skip to main content

Create Internal Transaction

POST 

/internal_transactions

Transfer an amount from the current wallet of the caller to the current wallet of the recipient. The recipient_id can be an Entity, Platform or a Beneficiary.

Some types of transfers are restricted based on your account configuration.

The result for this API is instant, either a success or a failure, if you want to revert a transaction, the recipient has to transfer the amount back.

Request

Body

required

    recipient_id uuidrequired
    currency Currency (string)required

    ISO-4217 three-letter currency code.

    amount integerrequired

    A positive integer representing the internal transaction amount in the smallest currency unit.

    Examples:

    • 1.00 SAR = 100
    • 1.00 KWD = 1000
    • 1 JPY = 1
    description string

    A string descriping the purpose of this internal transactions.

    metadata

    object

    A set of key-value pairs where both key and value are strings. Metadata allows you to add more information to the object that will be returned later on in responses and webhook messages.

    Metadata is searchable using the Payment List API.

    property name* string

Responses

Successful operation

Schema

    id uuid
    recipient_type string

    Possible values: [Entity, Platform, Beneficiary]

    recipient_id uuid
    currency Currency (string)

    ISO-4217 three-letter currency code.

    amount integer

    Amount of the internal transaction movement.

    transfer_id uuid

    In case this internal transaction has been settled, this will contain the ID of the transaction.

    description string

    A string descriping the purpose of this internal transactions.

    created_at timestamp

    Date and time when the internal transaction was created.

    updated_at timestamp

    Date and time when the internal transaction status was updated.

    settled_at timestamp

    Date and time when the internal transaction was settled.

    metadata

    object

    A set of key-value pairs where both key and value are strings. Metadata allows you to add more information to the object that will be returned later on in responses and webhook messages.

    Metadata is searchable using the Payment List API.

    property name* string
Loading...